SRD Standelone programmation box: tUsbCtrl Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tUsbCtrl Struct Reference

Define a structure used by the USB Manager to control operation. More...

`#include "UsbManager.h"`

## Data Fields

unsigned long | msRef
unsigned short | cmdSizeRequested
unsigned short | cmdSize
tUsbCmdType | cmdType
union {
struct {
unsigned short cmdTypeReceived: 1
unsigned short sizeReceived: 1
unsigned short cmdComplete: 1
unsigned short RSVD: 13
} bits
unsigned short all
} | rxState
char | command [USB_CMD_MAX_LENGTH]
unsigned char | commandId

## Detailed Description

Define a structure used by the USB Manager to control operation.

Definition at line 131 of file UsbManager.h.

## Field Documentation

unsigned short tUsbCtrl::all

Definition at line 147 of file UsbManager.h.

Referenced by UsbManager(), UsbManagerCmdDealer(), UsbManagerInit(), UsbManagerSendCR95Error(), and UsbManagerSendCR95Result().

struct { ... } tUsbCtrl::bits

Referenced by UsbManager().

unsigned short tUsbCtrl::cmdComplete

all bytes are received for the current command

Definition at line 144 of file UsbManager.h.

unsigned short tUsbCtrl::cmdSize

current size of the command

Definition at line 136 of file UsbManager.h.

Referenced by UsbManager(), UsbManagerCmdDealer(), UsbManagerInit(), UsbManagerSendCR95Error(), and UsbManagerSendCR95Result().

unsigned short tUsbCtrl::cmdSizeRequested

current command size requested

Definition at line 134 of file UsbManager.h.

Referenced by UsbManager(), UsbManagerCmdDealer(), UsbManagerInit(), UsbManagerSendCR95Error(), and UsbManagerSendCR95Result().

tUsbCmdType tUsbCtrl::cmdType

Command type

Definition at line 138 of file UsbManager.h.

Referenced by UsbManager(), and UsbManagerCmdDealer().

unsigned short tUsbCtrl::cmdTypeReceived

frame type received

Definition at line 142 of file UsbManager.h.

char tUsbCtrl::command[USB_CMD_MAX_LENGTH]

Command

Definition at line 150 of file UsbManager.h.

Referenced by UsbManager(), and UsbManagerCmdDealer().

unsigned char tUsbCtrl::commandId

current Index in command

Definition at line 152 of file UsbManager.h.

Referenced by UsbManager(), UsbManagerCmdDealer(), UsbManagerInit(), UsbManagerSendCR95Error(), and UsbManagerSendCR95Result().

unsigned long tUsbCtrl::msRef

last char received timestamp

Definition at line 132 of file UsbManager.h.

Referenced by UsbManager(), and UsbManagerInit().

unsigned short tUsbCtrl::RSVD

RESERVED

Definition at line 145 of file UsbManager.h.

union { ... } tUsbCtrl::rxState

State of the Rx

Referenced by UsbManager(), UsbManagerCmdDealer(), UsbManagerInit(), UsbManagerSendCR95Error(), and UsbManagerSendCR95Result().

unsigned short tUsbCtrl::sizeReceived

size of the frame received

Definition at line 143 of file UsbManager.h.

The documentation for this struct was generated from the following file:

- UsbManager.h